import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class DriveInfoService{
	list (param) {
		return request({
			url: prefix +'/driveInfo/list',
			method: 'get',
			params: param
		})
	}

	save (inputForm) {
		return request({
			url: prefix + `/driveInfo/saveOrUpdate`,
			method: 'post',
			data: inputForm
		})
	}

	delete (ids) {
		return request({
			url: prefix+"/driveInfo/deleteById",
			method: 'delete',
			params: {id: ids}
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/driveInfo/findById',
			method: 'get',
			params: {id: id}
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/driveInfo/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

	checkNumber(number){
		return request({
			url: prefix +'/driveInfo/checkNumber',
			method: 'get',
			params: {number: number}
		})
	}



}
